package com.jeeplus.modules.sg.managementcenter.project.entity;

/**
 * 项目前期基本信息
 * */
public class BasicInformation {
    //信息id
    private String id;
    //储备项目名称
    private String reserveProjectName;
    //市公司
    private String municipalCompany;
    //县公司
    private String countyCompany;
    //项目性质
    private String projectNature;
    //需求单位
    private String demandUnit;
    //运维单位
    private String operationUnit;
    //供电区域
    private String powerSupplyArea;
    //网格编号
    private String gridNumber;
    //单元格编号
    private String cellNumber;
    //项目储备编号
    private String projectReserveNo;
    //电网项目编号
    private String gridProjectNo;
    //ERP编号
    private String erpNo;
    //建设必要性及内容
    private String necessityContent;
    //变电站名称
    private String subStationName;
    //线路名称
    private String lineName;
    //项目类型
    private String projectType;
    //是否迎峰度夏项目
    private String whetherSummer;
    //项目基本说明
    private String basicDescription;
    //工区备注
    private String workAreaRemarks;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getMunicipalCompany() {
        return municipalCompany;
    }

    public void setMunicipalCompany(String municipalCompany) {
        this.municipalCompany = municipalCompany;
    }

    public String getCountyCompany() {
        return countyCompany;
    }

    public void setCountyCompany(String countyCompany) {
        this.countyCompany = countyCompany;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getOperationUnit() {
        return operationUnit;
    }

    public void setOperationUnit(String operationUnit) {
        this.operationUnit = operationUnit;
    }

    public String getPowerSupplyArea() {
        return powerSupplyArea;
    }

    public void setPowerSupplyArea(String powerSupplyArea) {
        this.powerSupplyArea = powerSupplyArea;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectReserveNo() {
        return projectReserveNo;
    }

    public void setProjectReserveNo(String projectReserveNo) {
        this.projectReserveNo = projectReserveNo;
    }

    public String getGridProjectNo() {
        return gridProjectNo;
    }

    public void setGridProjectNo(String gridProjectNo) {
        this.gridProjectNo = gridProjectNo;
    }

    public String getErpNo() {
        return erpNo;
    }

    public void setErpNo(String erpNo) {
        this.erpNo = erpNo;
    }

    public String getNecessityContent() {
        return necessityContent;
    }

    public void setNecessityContent(String necessityContent) {
        this.necessityContent = necessityContent;
    }

    public String getSubStationName() {
        return subStationName;
    }

    public void setSubStationName(String subStationName) {
        this.subStationName = subStationName;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getWhetherSummer() {
        return whetherSummer;
    }

    public void setWhetherSummer(String whetherSummer) {
        this.whetherSummer = whetherSummer;
    }

    public String getBasicDescription() {
        return basicDescription;
    }

    public void setBasicDescription(String basicDescription) {
        this.basicDescription = basicDescription;
    }

    public String getWorkAreaRemarks() {
        return workAreaRemarks;
    }

    public void setWorkAreaRemarks(String workAreaRemarks) {
        this.workAreaRemarks = workAreaRemarks;
    }
}
